Bug 213054 - Bad links on SDC config page: ViewModifyCentralPaths
Bad links on SDC config page: ViewModifyCentralPaths
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
rhn500
All Linux
medium Severity medium
: ---
: ---
Assigned To: Partha Aji
Beth Nackashi
:
Depends On:
Blocks: rhn500h-config-mgmt
  Show dependency treegraph
 
Reported: 2006-10-30 13:05 EST by Ken Ganong
Modified: 2007-04-18 13:52 EDT (History)
1 user (show)

See Also:
Fixed In Version: rhn500h
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-12 23:07:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ken Ganong 2006-10-30 13:05:40 EST
To get to this page, go to Systems -> click a system -> Configuration (in middle
nav) -> View/Modify Files

List of link problems:
1. List headers don't sort properly. (sort and then paginate)
2. The Revision # links have crid set to the revision number instead of the
revision id
3. For Overridden files, you get a message like this:
Revision 5 from [icon] System
Why does it say 'from System'....  overrides will always be 'from System'
The link brings you to the ChannelOverview page for the local config channel. It
should probably bring you to the Locally Managed files page for this system.
Comment 1 Máirín Duffy 2006-12-11 18:13:40 EST
I agree on #3! I think the 'from system' is a holdover from before we split the
'provided by' channels out into their own sortable column. (before the current
revision column had those IIRC, eg 'revision 1 from [ ] my_fun_channel'.

So we should take out the 'from [] system' part in the items in the overridden
by column. 
Comment 2 Partha Aji 2006-12-14 19:33:31 EST
This has now been resolved as of revision 108100.
Comment 3 Partha Aji 2007-02-15 17:15:45 EST
Moving to ON_QA
Comment 4 Partha Aji 2007-02-15 17:17:28 EST
Moving to ON_QA
Comment 5 Beth Nackashi 2007-02-19 15:17:09 EST
Verified 1, 2, and 3 on webtest.
Comment 6 Brandon Perkins 2007-03-12 23:07:19 EDT
Closed in the rhn500h Release.

Note You need to log in before you can comment on or make changes to this bug.